Mettre à jour un monitor
curl --request PATCH \
--url https://api.firecrawl.dev/v2/monitor/{monitorId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schedule": {
"text": "every 15 minutes starting at :07"
},
"status": "active"
}
'import requests
url = "https://api.firecrawl.dev/v2/monitor/{monitorId}"
payload = {
"schedule": { "text": "every 15 minutes starting at :07" },
"status": "active"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({schedule: {text: 'every 15 minutes starting at :07'}, status: 'active'})
};
fetch('https://api.firecrawl.dev/v2/monitor/{monitorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"currentCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"estimatedCreditsPerMonth": 123,
"goal": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"judgeEnabled": true,
"lastCheckSummary": {
"changed": 123,
"error": 123,
"new": 123,
"removed": 123,
"same": 123,
"totalPages": 123
},
"lastRunAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"nextRunAt": "2023-11-07T05:31:56Z",
"notification": {
"email": {
"enabled": false,
"includeDiffs": false,
"recipients": [
"jsmith@example.com"
]
}
},
"retentionDays": 123,
"schedule": {
"cron": "<string>",
"timezone": "<string>"
},
"targets": [
{
"type": "scrape",
"urls": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scrapeOptions": {
"actions": [
{
"milliseconds": 2,
"type": "wait"
}
],
"blockAds": true,
"excludeTags": [
"<string>"
],
"formats": [
"markdown"
],
"headers": {},
"includeTags": [
"<string>"
],
"location": {
"country": "US",
"languages": [
"en-US"
]
},
"lockdown": false,
"maxAge": 172800000,
"minAge": 123,
"mobile": false,
"onlyCleanContent": false,
"onlyMainContent": true,
"parsers": [
"pdf"
],
"profile": {
"name": "<string>",
"saveChanges": true
},
"proxy": "auto",
"redactPII": false,
"removeBase64Images": true,
"skipTlsVerification": true,
"storeInCache": true,
"timeout": 60000,
"waitFor": 0
}
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"webhook": {
"url": "<string>",
"events": [],
"headers": {},
"metadata": {}
}
},
"success": true
}Points de terminaison de surveillance
Mettre à jour un monitor
PATCH
/
monitor
/
{monitorId}
Mettre à jour un monitor
Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paramètres de chemin
L’ID du monitor
Corps
application/json
Payload de mise à jour partielle du monitor. Incluez au moins un champ.
Objectif en langage clair utilisé pour déterminer si les pages modifiées sont significatives. S’il est fourni et que judgeEnabled est omis, l’évaluation est activée automatiquement.
Maximum string length:
2000Indique si les pages modifiées doivent être évaluées par rapport à goal. Nécessite un goal non vide pour s’exécuter.
Maximum string length:
256Show child attributes
Show child attributes
Plage requise:
1 <= x <= 365Planification des vérifications du monitor. Fournissez soit cron, soit text.
Show child attributes
Show child attributes
Options disponibles:
active, paused Required array length:
1 - 50 elements- Scrape target
- Crawl target
Show child attributes
Show child attributes
Destination du webhook pour les événements de page du monitor et de fin de vérification.
Show child attributes
Show child attributes
⌘I

